Subject: Re: Flush Tx skbs after link down

From: Stefan Rompf <[email-masked]>
Date: Wed, 15 Jan 2003 10:50:33 +0100

Hi,

> Someone most know the answer to this: What's the proper way to dispose
> of Tx skbs that are owned by the h/w ("in-flight") when link was lost?

I think this can't be achieved without driver support, simply because
pending DMA transfers must be removed before freeing the skbs, and this
is specific. So the driver model needs to be extended to have a reset
method similiar to the qdiscs. If available, this method is called on
link down event by the linkwatch stuff included in recent 2.5 kernels.

Stefan